#include <stdio.h>
#include <stdlib.h>
#include <string.h>

unsigned long chartoint(char* str)
{
    unsigned long mult = 1;
    unsigned long re = 0;

    int len = strlen(str);

    for(int i = len -1 ; i >= 0 ; i--)
    {
        re = re + ((int)str[i] -48) * mult;
        mult = mult * 10;
    }
    return re;
}

char* inttostring(int i, char b[])
{

    char const cifra[] = "0123456789";

    char* p = b;

    if(i<0)
    {
        *p++ = '-';
        i *= -1;
    }

    int zamena = i;

    do
    {
        ++p;
        zamena = zamena/10;
    }

    while(zamena);

    *p = '\0';
    do
    {
        *--p = cifra[i%10];
        i = i/10;
    }
    while(i);

    return b;

}

int main()
{
    int a, b, c;

    scanf("%d %d %d", &a, &b, &c);

    int ac, bc, cc;

    char a1[30], b1[30], c1[30];


    ac = a;

    while(ac >= 10)
    {
        ac = ac / 10;
    }

    bc = b;

    while(bc >= 10)
    {
        bc = bc / 10;
    }

    cc = c;

    while(cc >= 10)
    {
        cc = c / 10;
    }


    if (ac > bc && bc > cc)
    {
        inttostring(a, a1);
        inttostring(b, b1);
        inttostring(c, c1);

        strcat(a1,b1);
        strcat(a1,c1);





    }

    if (ac > cc && cc > bc)
    {
        inttostring(a, a1);
        inttostring(c, b1);
        inttostring(b, c1);

        strcat(a1,b1);
        strcat(a1,c1);



    }

    if (bc > ac && ac > cc)
    {
        inttostring(b, a1);
        inttostring(a, b1);
        inttostring(c, c1);

        strcat(a1,b1);
        strcat(a1,c1);




    }

    if (bc > cc && cc > ac)
    {
        inttostring(b, a1);
        inttostring(c, b1);
        inttostring(a, c1);

        strcat(a1,b1);
        strcat(a1,c1);





    }

    if (cc > ac && ac > bc)
    {
        inttostring(c, a1);
        inttostring(a, b1);
        inttostring(b, c1);

        strcat(a1,b1);
        strcat(a1,c1);





    }

    if (cc > bc && bc > ac)
    {
        inttostring(c, a1);
        inttostring(b, b1);
        inttostring(a, c1);

        strcat(a1,b1);
        strcat(a1,c1);





    }

        if (ac > bc && bc == cc && b > c)
    {
        inttostring(a, a1);
        inttostring(b, b1);
        inttostring(c, c1);

        strcat(a1,b1);
        strcat(a1,c1);





    }

        if (ac > bc && bc == cc && b <= c)
    {
        inttostring(a, a1);
        inttostring(c, b1);
        inttostring(b, c1);

        strcat(a1,b1);
        strcat(a1,c1);





    }

        if (bc > ac && ac == cc && a > c)
    {
        inttostring(b, a1);
        inttostring(a, b1);
        inttostring(c, c1);

        strcat(a1,b1);
        strcat(a1,c1);





    }

        if (bc > ac && ac == cc && c >= a)
    {
        inttostring(b, a1);
        inttostring(c, b1);
        inttostring(a, c1);

        strcat(a1,b1);
        strcat(a1,c1);





    }

        if (cc > ac && bc == ac && b > a)
    {
        inttostring(c, a1);
        inttostring(b, b1);
        inttostring(a, c1);

        strcat(a1,b1);
        strcat(a1,c1);





    }

        if (cc > ac && bc == ac && b < a)
    {
        inttostring(c, a1);
        inttostring(a, b1);
        inttostring(b, c1);

        strcat(a1,b1);
        strcat(a1,c1);





    }

    if (ac == bc && bc == cc)
    {

        if (a > b && b > c)
        {
            inttostring(a, a1);
            inttostring(b, b1);
            inttostring(c, c1);

            strcat(a1,b1);
            strcat(a1,c1);


        }

                if (a > b && b < c)
        {
                    inttostring(a, a1);
                    inttostring(c, b1);
                    inttostring(b, c1);

                    strcat(a1,b1);
                    strcat(a1,c1);


        }

                if (b > a && a > c)
        {
                    inttostring(b, a1);
                    inttostring(a, b1);
                    inttostring(c, c1);

            strcat(a1,b1);
            strcat(a1,c1);


        }

                        if (b > a && a < c)
        {
                    inttostring(b, a1);
                    inttostring(c, b1);
                    inttostring(a, c1);

            strcat(a1,b1);
            strcat(a1,c1);


        }

                        if (c > a && a > b)
        {
                    inttostring(c, a1);
                    inttostring(a, b1);
                    inttostring(b, c1);

            strcat(a1,b1);
            strcat(a1,c1);


        }

                                    if (c > a && a < b)
        {
                    inttostring(c, a1);
                    inttostring(b, b1);
                    inttostring(a, c1);

                    strcat(a1,b1);
                    strcat(a1,c1);


        }

        if (a > b && b == c)
        {
                    inttostring(a, a1);
                    inttostring(b, b1);
                    inttostring(c, c1);

                    strcat(a1,b1);
                    strcat(a1,c1);


        }

        if (b > a && a == c)
        {
                    inttostring(b, a1);
                    inttostring(a, b1);
                    inttostring(c, c1);

                    strcat(a1,b1);
                    strcat(a1,c1);


        }

        if (c > a && a == c)
        {
                    inttostring(a, a1);
                    inttostring(b, b1);
                    inttostring(a, c1);

                    strcat(a1,b1);
                    strcat(a1,c1);


        }

                if (a == b && b == c)
        {
                    inttostring(a, a1);
                    inttostring(b, b1);
                    inttostring(c, c1);

                    strcat(a1,b1);
                    strcat(a1,c1);


        }





    }

            unsigned long rezultat;

        rezultat = chartoint(a1);

        printf("%ld", rezultat);




    return 0;
}